
package de.ivu.elect.presentation.wahlvorschlagsperson;

import javax.inject.Inject;

import de.ivu.elect.business.wahlvorschlagsperson.entity.WahlvorschlagsPersonTyp;
import de.ivu.elect.presentation.wahlvorschlagsperson.form.AufstellungsversammlungMitunterzeichnerViewFormBuilder;

public class AufstellungsversammlungMitunterzeichnerCreateViewHelper extends AbstractWahlvorschlagspersonCreateViewHelper {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient AufstellungsversammlungMitunterzeichnerViewFormBuilder aufstellungsversammlungMitunterzeichnerViewFormBuilder;

  public AufstellungsversammlungMitunterzeichnerCreateViewHelper() {
    super();
  }

  @Override
  public String getViewId() {
    return AufstellungsversammlungMitunterzeichnerCreateView.VIEW_ID;
  }

  @Override
  public WahlvorschlagsPersonTyp getInitialierWahlvorschlagsPersonTyp() {
    return WahlvorschlagsPersonTyp.AUFSTELLUNGSVERSAMMLUNG_MITUNTERZEICHNER;
  }

  @Override
  protected AufstellungsversammlungMitunterzeichnerViewFormBuilder getViewFormBuilder() {
    return aufstellungsversammlungMitunterzeichnerViewFormBuilder;
  }
}
